## linux 4.19.304

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 4
PATCHLEVEL = 19
SUBLEVEL = 304
EXTRAVERSION =
NAME = "People's Front"

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# That's our default target when none is given on the command line
PHONY := _all
_all:

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
# make-4.0 (and later) keep single letter options in the 1st word of MAKEFLAGS.

ifeq ($(filter 3.%,$(MAKE_VERSION)),)
silence:=$(findstring s,$(firstword -$(MAKEFLAGS)))
else
silence:=$(findstring s,$(filter-out --%,$(MAKEFLAGS)))
endif

ifeq ($(silence),s)
quiet=silent_
tools_silent=s
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is not intended to be used by the regular user (for now),
# it is set on invocation of make with KBUILD_OUTPUT or O= specified.
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif

export KBUILD_CHECKSRC KBUILD_EXTMOD KBUILD_SRC

objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h
old_version_h := include/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg
no-sync-config-targets := $(no-dot-config-targets) install %install \
			   kernelrelease

config-targets  := 0
mixed-targets   := 0
dot-config      := 1
may-sync-config := 1

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		dot-config := 0
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config := 0
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config := 0
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter config %config,$(MAKECMDGOALS)),)
                config-targets := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
                        mixed-targets := 1
                endif
        endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
                mixed-targets := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
	        mixed-targets := 1
        endif
endif

ifeq ($(mixed-targets),1)
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(filter-out __build_one_by_one, $(MAKECMDGOALS)): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOST_LFS_CFLAGS := $(shell getconf LFS_CFLAGS 2>/dev/null)
HOST_LFS_LDFLAGS := $(shell getconf LFS_LDFLAGS 2>/dev/null)
HOST_LFS_LIBS := $(shell getconf LFS_LIBS 2>/dev/null)

ifneq ($(LLVM),)
HOSTCC	= clang
HOSTCXX	= clang++
else
HOSTCC	= gcc
HOSTCXX	= g++
endif
KBUILD_HOSTCFLAGS   := -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 \
		-fomit-frame-pointer -std=gnu89 $(HOST_LFS_CFLAGS) \
		$(HOSTCFLAGS)
KBUILD_HOSTCXXFLAGS := -O2 $(HOST_LFS_CFLAGS) $(HOSTCXXFLAGS)
KBUILD_HOSTLDFLAGS  := $(HOST_LFS_LDFLAGS) $(HOSTLDFLAGS)
KBUILD_HOSTLDLIBS   := $(HOST_LFS_LIBS) $(HOSTLDLIBS)

# Make variables (CC, etc...)
CPP		= $(CC) -E
ifneq ($(LLVM),)
CC		= clang
LD		= ld.lld
AR		= llvm-ar
NM		= llvm-nm
OBJCOPY		= llvm-objcopy
OBJDUMP		= llvm-objdump
READELF		= llvm-readelf
OBJSIZE		= llvm-size
STRIP		= llvm-strip

=== arch/arm/mach-davinci/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the linux kernel.
#
#

# Common objects
obj-y 					:= time.o serial.o usb.o \
					   common.o sram.o

obj-$(CONFIG_DAVINCI_MUX)		+= mux.o

# Chip specific
obj-$(CONFIG_ARCH_DAVINCI_DM644x)       += dm644x.o devices.o
obj-$(CONFIG_ARCH_DAVINCI_DM355)        += dm355.o devices.o
obj-$(CONFIG_ARCH_DAVINCI_DM646x)       += dm646x.o devices.o
obj-$(CONFIG_ARCH_DAVINCI_DM365)	+= dm365.o devices.o
obj-$(CONFIG_ARCH_DAVINCI_DA830)	+= da830.o devices-da8xx.o usb-da8xx.o
obj-$(CONFIG_ARCH_DAVINCI_DA850)	+= da850.o devices-da8xx.o usb-da8xx.o

obj-$(CONFIG_AINTC)			+= irq.o
obj-$(CONFIG_CP_INTC)			+= cp_intc.o

# Board specific
obj-$(CONFIG_MACH_DA8XX_DT)		+= da8xx-dt.o pdata-quirks.o
obj-$(CONFIG_MACH_DAVINCI_EVM)  	+= board-dm644x-evm.o
obj-$(CONFIG_MACH_SFFSDR)		+= board-sffsdr.o
obj-$(CONFIG_MACH_NEUROS_OSD2)		+= board-neuros-osd2.o
obj-$(CONFIG_MACH_DAVINCI_DM355_EVM)	+= board-dm355-evm.o
obj-$(CONFIG_MACH_DM355_LEOPARD)	+= board-dm355-leopard.o
obj-$(CONFIG_MACH_DAVINCI_DM6467_EVM)	+= board-dm646x-evm.o
obj-$(CONFIG_MACH_DAVINCI_DM365_EVM)	+= board-dm365-evm.o
obj-$(CONFIG_MACH_DAVINCI_DA830_EVM)	+= board-da830-evm.o
obj-$(CONFIG_MACH_DAVINCI_DA850_EVM)	+= board-da850-evm.o
obj-$(CONFIG_MACH_MITYOMAPL138)		+= board-mityomapl138.o
obj-$(CONFIG_MACH_OMAPL138_HAWKBOARD)	+= board-omapl138-hawk.o

# Power Management
obj-$(CONFIG_CPU_IDLE)			+= cpuidle.o
obj-$(CONFIG_HAVE_CLK)			+= pm_domain.o
ifeq ($(CONFIG_SUSPEND),y)
obj-$(CONFIG_ARCH_DAVINCI_DA850)	+= pm.o sleep.o
endif

=== drivers/clk/ti/Makefile ===
# SPDX-License-Identifier: GPL-2.0
ifeq ($(CONFIG_ARCH_OMAP2PLUS), y)

obj-y					+= clk.o autoidle.o clockdomain.o
clk-common				= dpll.o composite.o divider.o gate.o \
					  fixed-factor.o mux.o apll.o \
					  clkt_dpll.o clkt_iclk.o clkt_dflt.o \
					  clkctrl.o
obj-$(CONFIG_SOC_AM33XX)		+= $(clk-common) clk-33xx.o dpll3xxx.o
obj-$(CONFIG_SOC_TI81XX)		+= $(clk-common) fapll.o clk-814x.o clk-816x.o
obj-$(CONFIG_ARCH_OMAP2)		+= $(clk-common) interface.o clk-2xxx.o
obj-$(CONFIG_ARCH_OMAP3)		+= $(clk-common) interface.o \
					   clk-3xxx.o dpll3xxx.o
obj-$(CONFIG_ARCH_OMAP4)		+= $(clk-common) clk-44xx.o \
					   dpll3xxx.o dpll44xx.o
obj-$(CONFIG_SOC_OMAP5)			+= $(clk-common) clk-54xx.o \
					   dpll3xxx.o dpll44xx.o
obj-$(CONFIG_SOC_DRA7XX)		+= $(clk-common) clk-7xx.o \
					   clk-dra7-atl.o dpll3xxx.o dpll44xx.o
obj-$(CONFIG_SOC_AM43XX)		+= $(clk-common) dpll3xxx.o clk-43xx.o

endif	# CONFIG_ARCH_OMAP2PLUS

obj-$(CONFIG_COMMON_CLK_TI_ADPLL)	+= adpll.o

=== drivers/net/xen-netback/Makefile ===
obj-$(CONFIG_XEN_NETDEV_BACKEND) := xen-netback.o

xen-netback-y := netback.o xenbus.o interface.o hash.o rx.o

=== drivers/gpu/drm/tve200/Makefile ===
tve200_drm-y +=	tve200_display.o \
		tve200_drv.o

obj-$(CONFIG_DRM_TVE200) += tve200_drm.o

=== drivers/infiniband/hw/bnxt_re/Makefile ===
# SPDX-License-Identifier: GPL-2.0

ccflags-y := -Idrivers/net/ethernet/broadcom/bnxt
obj-$(CONFIG_INFINIBAND_BNXT_RE) += bnxt_re.o
bnxt_re-y := main.o ib_verbs.o \
	     qplib_res.o qplib_rcfw.o	\
	     qplib_sp.o qplib_fp.o  hw_counters.o

=== debian/changelog ===
linux (4.19.304-1) buster-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.290
    - xen/netback: Fix buffer overrun triggered by unusual packet
      (CVE-2023-34319)
    - [x86] fix backwards merge of GDS/SRSO bit
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.291
    - gfs2: Don't deref jdesc in evict (CVE-2023-3212)
    - [x86] smp: Use dedicated cache-line for mwait_play_dead()
    - drm/edid: Fix uninitialized variable in drm_cvt_modes()
    - drm/amdgpu: Validate VM ioctl flags.
    - treewide: Remove uninitialized_var() usage
    - md/raid10: check slab-out-of-bounds in md_bitmap_get_counter
    - md/raid10: fix overflow of md/safe_mode_delay
    - md/raid10: fix wrong setting of max_corr_read_errors
    - md/raid10: fix io loss while replacement replace rdev
    - clocksource/drivers: Unify the names to timer-* format
    - PM: domains: fix integer overflow issues in genpd_parse_state()
    - wifi: ath9k: fix AR9003 mac hardware hang check register offset
      calculation
    - wifi: ath9k: avoid referencing uninit memory in ath9k_wmi_ctrl_rx
    - nfc: llcp: fix possible use of uninitialized variable in
      nfc_llcp_send_connect()
    - [x86] wifi: orinoco: Fix an error handling path in spectrum_cs_probe()
    - [x86] wifi: orinoco: Fix an error handling path in orinoco_cs_probe()
    - [x86] wifi: atmel: Fix an error handling path in atmel_probe()
    - net: create netdev->dev_addr assignment helpers
    - [x86] wifi: wl3501_cs: Fix an error handling path in wl3501_probe()
    - [x86] wifi: ray_cs: Utilize strnlen() in parse_addr()
    - [x86] wifi: ray_cs: Fix an error handling path in ray_probe()
    - wifi: ath9k: don't allow to overwrite ENDPOINT0 attributes
    - watchdog/perf: more properly prevent false positives with turbo modes
    - kexec: fix a memory leak in crash_shrink_memory()
    - memstick r592: make memstick_debug_get_tpc_name() static
    - wifi: ath9k: Fix possible stall on ath9k_txq_list_has_key() (regression
      in 4.19.205)
    - wifi: ath9k: convert msecs to jiffies where needed
    - netlink: fix potential deadlock in netlink_set_err()
    - netlink: do not hard code device address lenth in fdb dumps
    - gtp: Fix use-after-free in __gtp_encap_destroy().
    - lib/ts_bm: reset initial match offset for every block of text
    - netfilter: nf_conntrack_sip: fix the ct_sip_parse_numerical_param()
      return value.
    - ipvlan: Fix return value of ipvlan_queue_xmit()
    - netlink: Add __sock_i_ino() for __netlink_diag_dump().
    - radeon: avoid double free in ci_dpm_init()
    - drm/panel: simple: fix active size for Ampire AM-480272H3TMQW-T01H
    - [x86] ASoC: es8316: Increment max value for ALC Capture Target Volume
      control
    - [amd64] IB/hfi1: Fix sdma.h tx->num_descs off-by-one errors
    - drm/radeon: fix possible division-by-zero errors
    - ALSA: ac97: Fix possible NULL dereference in snd_ac97_mixer
    - scsi: 3w-xxxx: Add error handling for initialization failure in
      tw_probe()
    - [x86] pinctrl: cherryview: Return correct value if pin in push-pull mode
    - perf dwarf-aux: Fix off-by-one in die_get_varname()
    - hwrng: virtio - add an internal buffer
    - hwrng: virtio - don't wait on cleanup
    - hwrng: virtio - don't waste entropy
    - hwrng: virtio - always add a pending request
    - hwrng: virtio - Fix race on data_avail and actual data
    - modpost: fix section mismatch message for R_ARM_ABS32
    - modpost: fix section mismatch message for R_ARM_{PC24,CALL,JUMP24}
    - USB: serial: option: add LARA-R6 01B PIDs
    - block: change all __u32 annotations to __be32 in affs_hardblocks.h
    - w1: fix loop in w1_fini()
    - media: usb: Check az6007_read() return value
    - media: usb: siano: Fix warning due to null work_func_t function pointer
      (regression in 4.19.276)
    - [x86] mfd: intel-lpss: Add missing check for platform_get_resource
    - [armhf] mfd: stmpe: Only disable the regulators if they are enabled
    - sctp: fix potential deadlock on &net->sctp.addr_wq_lock (regression in
      4.19.191)
    - tg3: Add MODULE_FIRMWARE() for FIRMWARE_TG357766.
    - f2fs: fix error path handling in truncate_dnode()
    - net: bridge: keep ports without IFF_UNICAST_FLT in BR_PROMISC mode
    - tcp: annotate data races in __tcp_oow_rate_limited()
    - net/sched: act_pedit: Add size check for TCA_PEDIT_PARMS_EX
    - ALSA: jack: Fix mutex call in snd_jack_report() (regression in 4.19.247)
    - NFSD: add encoding of op_recall flag for write delegation
    - mmc: core: disable TRIM on Kingston EMMC04G-M627
    - mmc: core: disable TRIM on Micron MTFC4GACAJCN-1M
    - bcache: Remove unnecessary NULL point check in node allocations
    - integrity: Fix possible multiple allocation in integrity_inode_get()
    - jffs2: reduce stack usage in jffs2_build_xattr_subsystem()
    - btrfs: fix race when deleting quota root from the dirty cow roots list
    - netfilter: nf_tables: fix nat hook table deletion
    - netfilter: nf_tables: add rescheduling points during loop detection walks
    - netfilter: nftables: add helper function to set the base sequence number
    - netfilter: add helper function to set up the nfnetlink header and use it
    - netfilter: nf_tables: use net_generic infra for transaction data
    - netfilter: nf_tables: incorrect error path handling with NFT_MSG_NEWRULE
      (CVE-2023-3390)
    - netfilter: nf_tables: add NFT_TRANS_PREPARE_ERROR to deal with bound set/
      chain
    - netfilter: nf_tables: reject unbound anonymous set before commit phase
    - netfilter: nf_tables: unbind non-anonymous set if rule construction fails
    - netfilter: nf_tables: fix scheduling-while-atomic splat
    - netfilter: conntrack: Avoid nf_ct_helper_hash uses after free
    - netfilter: nf_tables: prevent OOB access in nft_byteorder_eval
      (CVE-2023-35001)
    - net: lan743x: Don't sleep in atomic context


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.99~) <!stage1 !pkg.linux.nokernel>, kmod <!stage1 !pkg.linux.nokernel>, bc <!stage1 !pkg.linux.nokernel>, libssl-dev:native <!stage1 !pkg.linux.nokernel>, libssl-dev <!stage1 !pkg.linux.notools>, openssl (>= 1.1.0-1~) <!stage1 !pkg.linux.nokernel>, libelf-dev:native [amd64] <!stage1 !pkg.linux.nokernel>, libelf-dev <!stage1 !pkg.linux.notools>, gcc-8 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64] <!stage1 !cross !pkg.linux.nokernel>, gcc-8-alpha-linux-gnu [alpha] <!stage1 cross !pkg.linux.nokernel>, gcc-8 (>= 8-20180123-1~) [amd64 i386] <!stage1 !cross !pkg.linux.nokernel>, gcc-8-x86-64-linux-gnu (>= 8-20180123-1~) [amd64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-aarch64-linux-gnu [arm64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-arm-linux-gnueabi [armel] <!stage1 cross !pkg.linux.nokernel>, gcc-8-arm-linux-gnueabihf [armhf] <!stage1 cross !pkg.linux.nokernel>, gcc-8-hppa-linux-gnu [hppa] <!stage1 cross !pkg.linux.nokernel>, binutils-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-8-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-8-i686-linux-gnu (>= 8-20180123-1~) [i386] <!stage1 cross !pkg.linux.nokernel>, gcc-8-ia64-linux-gnu [ia64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-m68k-linux-gnu [m68k] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips-linux-gnu [mips] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips64-linux-gnuabi64 [mips64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa64r6-linux-gnuabi64 [mips64r6] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsel-linux-gnu [mipsel] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa32r6-linux-gnu [mipsr6] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa32r6el-linux-gnu [mipsr6el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc-linux-gnu [powerpc] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc64-linux-gnu [ppc64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc64le-linux-gnu [ppc64el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-riscv64-linux-gnu [riscv64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-s390x-linux-gnu [s390x] <!stage1 cross !pkg.linux.nokernel>, gcc-8-sh4-linux-gnu [sh4] <!stage1 cross !pkg.linux.nokernel>, gcc-8-sparc64-linux-gnu [sparc64] <!stage1 cross !pkg.linux.nokernel>, libpci-dev [linux-any] <!stage1 !pkg.linux.notools>, autoconf [linux-any] <!stage1 !pkg.linux.notools>, automake [linux-any] <!stage1 !pkg.linux.notools>, libtool [linux-any] <!stage1 !pkg.linux.notools>, libglib2.0-dev [linux-any] <!stage1 !pkg.linux.notools>, libudev-dev [linux-any] <!stage1 !pkg.linux.notools>, libwrap0-dev [linux-any] <!stage1 !pkg.linux.notools>, rsync [linux-any] <!stage1 !pkg.linux.notools>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !nodoc !pkg.linux.notools !nopython>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.3-2~) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython> | libbabeltrace-ctf-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!stage1 !pkg.linux.notools !nopython>, libopencsd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, python3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>
Build-Depends-Indep: graphviz <!stage1 !nodoc>, python3-sphinx <!stage1 !nodoc>, python3-sphinx-rtd-theme <!stage1 !nodoc>, texlive-latex-base <!stage1 !nodoc>, texlive-latex-extra <!stage1 !nodoc>, dvipng <!stage1 !nodoc>, patchutils <!stage1 !pkg.linux.nosource>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-4.19.0-26
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.19
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.19
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.19
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.19.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.19/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libbpf4.19
Architecture: alpha amd64 arm64 arm64ilp32 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh3 sh4 sparc sparc64 x32
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: eBPF helper library (shared library)
 libbpf is a library for loading eBPF programs and reading and manipulating
 eBPF objects from user-space.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: libbpf-dev
Architecture: alpha amd64 arm64 arm64ilp32 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh3 sh4 sparc sparc64 x32
Section: libdevel
Depends: ${misc:Depends}, libbpf4.19 (= ${binary:Version})
Description: eBPF helper library (development files)
 libbpf is a library for loading eBPF programs and reading and manipulating
 eBPF objects from user-space.
Build-Profiles: <!stage1 !pkg.linux.notools>

=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-26-alpha-generic [alpha], linux-image-4.19.0-26-alpha-smp [alpha], linux-image-4.19.0-26-amd64-unsigned [amd64], linux-image-4.19.0-26-cloud-amd64-unsigned [amd64], linux-image-4.19.0-26-rt-amd64-unsigned [amd64], linux-image-4.19.0-26-arm64-unsigned [arm64], linux-image-4.19.0-26-rt-arm64-unsigned [arm64], linux-image-4.19.0-26-marvell [armel], linux-image-4.19.0-26-rpi [armel], linux-image-4.19.0-26-armmp [armhf], linux-image-4.19.0-26-armmp-lpae [armhf], linux-image-4.19.0-26-rt-armmp [armhf], linux-image-4.19.0-26-parisc [hppa], linux-image-4.19.0-26-parisc-smp [hppa], linux-image-4.19.0-26-parisc64-smp [hppa], linux-image-4.19.0-26-686-unsigned [i386], linux-image-4.19.0-26-686-pae-unsigned [i386], linux-image-4.19.0-26-rt-686-pae-unsigned [i386], linux-image-4.19.0-26-itanium [ia64], linux-image-4.19.0-26-mckinley [ia64], linux-image-4.19.0-26-m68k [m68k], linux-image-4.19.0-26-4kc-malta [mips mipsel], linux-image-4.19.0-26-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-26-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-26-loongson-3 [mips64el mipsel], linux-image-4.19.0-26-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-26-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-26-mips32r6 [mipsr6], linux-image-4.19.0-26-mips32r6el [mipsr6el], linux-image-4.19.0-26-powerpc [powerpc], linux-image-4.19.0-26-powerpc-smp [powerpc], linux-image-4.19.0-26-powerpc64 [powerpc ppc64], linux-image-4.19.0-26-powerpcspe [powerpcspe], linux-image-4.19.0-26-powerpc64le [ppc64el], linux-image-4.19.0-26-riscv64 [riscv64], linux-image-4.19.0-26-s390x [s390x], linux-image-4.19.0-26-sh7751r [sh4], linux-image-4.19.0-26-sh7785lcr [sh4], linux-image-4.19.0-26-sparc64 [sparc64], linux-image-4.19.0-26-sparc64-smp [sparc64]
Classes: smp
